PreviousTwoMapFeatureGenerator (Apache OpenNLP :: Core :: Runtime 3.0.0-M4 API)
Description: declaration: package: opennlp.tools.util.featuregen, class: PreviousTwoMapFeatureGenerator

Package opennlp.tools.util.featuregen

# Class PreviousTwoMapFeatureGenerator

java.lang.Object
opennlp.tools.util.featuregen.PreviousTwoMapFeatureGenerator

All Implemented Interfaces:
  `opennlp.tools.util.featuregen.AdaptiveFeatureGenerator`

@ThreadSafe public class PreviousTwoMapFeatureGenerator extends Object implements opennlp.tools.util.featuregen.AdaptiveFeatureGenerator
This `AdaptiveFeatureGenerator` generates features indicating the outcome associated with two previously occurring words.

See Also:
  - `AdaptiveFeatureGenerator`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PreviousTwoMapFeatureGenerator()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `clearAdaptiveData()`
  `void`
  `createFeatures(List<String> features, String[] tokens, int index, String[] preds)`
  Generates previous decision features for the token based on contents of the previous map.
  `void`
  `updateAdaptiveData(String[] tokens, String[] outcomes)`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PreviousTwoMapFeatureGenerator

    public PreviousTwoMapFeatureGenerator()

- ## Method Details

  - ### createFeatures

    public void createFeatures(List<String> features, String[] tokens, int index, String[] preds)
    Generates previous decision features for the token based on contents of the previous map.
    Specified by:
      `createFeatures` in interface `opennlp.tools.util.featuregen.AdaptiveFeatureGenerator`

  - ### updateAdaptiveData

    public void updateAdaptiveData(String[] tokens, String[] outcomes)
    Specified by:
      `updateAdaptiveData` in interface `opennlp.tools.util.featuregen.AdaptiveFeatureGenerator`

  - ### clearAdaptiveData

    public void clearAdaptiveData()
    Specified by:
      `clearAdaptiveData` in interface `opennlp.tools.util.featuregen.AdaptiveFeatureGenerator`